Subject: pgp and MIME

From: Stefan Vacek <[email-masked]>
Date: Thu, 29 Apr 1999 11:29:51 +0200 (CES)

Hey 
I have a problem using pgp in pine. I have tried the skripts for
sending/display-filters and everthing is fine. But there is a problem with
mails generated by elm, wihch look like the following: 

MIME-Version: 1.0
Content-Type: application/pgp; format=text; x-action=sign
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNED MESSAGE-----
[...]

In our /etc/mailcap we have:
application/pgp;        pgp -f < %s; \
                description="A PGP signed/crypted file"

So it works fine with elm.
But pine does not. What pine says is

    [ Part 1, Application/PGP  602bytes. ]
    [ Not Shown. Use the "V" command to view or save this part. ]

If I press "V" I get the message:
[Message X has only one part (the message body), and no attachments.]

And when the viewer is launched nothing happens.

What I want is either that pine should ignore the application/pgp entry
and use the display-filter or to use /etc/mailcap in the right way.
I have checked the mail with metamail and it worked. I think the problem
is, that pine can't handle the output, so that it seems that nothing
is happening.

Is this possible? Thanks in advance.

Stefan

		Stefan Vacek **** [email-masked]

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------